> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete multiple associations between CRM objects

> Delete multiple associations between CRM objects. The JSON data in the PUT request will be a list of items each representing a single association that you want to delete. See the example for more details.



## OpenAPI

````yaml specs/legacy/v1/crm-associations-v1.json PUT /crm-associations/v1/associations/delete-batch
openapi: 3.0.0
info:
  title: CRM Associations API v1
  version: 1.0.0
  description: Legacy CRM Associations API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-associations/v1/associations/delete-batch:
    put:
      summary: Delete multiple associations between CRM objects
      description: >-
        Delete multiple associations between CRM objects. The JSON data in the
        PUT request will be a list of items each representing a single
        association that you want to delete. See the example for more details.
      operationId: putcrmassociationsv1associationsdeletebatch
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                required:
                  - fromObjectId
                  - toObjectId
                  - category
                  - definitionId
                properties:
                  fromObjectId:
                    type: string
                    description: >-
                      The ID of the object you want to remove the association
                      from.
                  toObjectId:
                    type: string
                    description: >-
                      The ID of the currently associated object that you're
                      removing the association from.
                  category:
                    type: string
                    description: >-
                      The category of the association. Currently this must be
                      "HUBSPOT_DEFINED"
                  definitionId:
                    type: string
                    description: >-
                      The ID of the association definition. See the [table on
                      the overview
                      page](https://developers.hubspot.com/docs/guides/api/crm/associations/associations-v4)
                      for a list of those IDs.
      responses:
        '200':
          description: >-
            Successful response - Delete multiple associations between CRM
            objects
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Delete multiple associations between CRM objects - Example 1
                  value:
                    - fromObjectId: 496346
                      toObjectId: 176602
                      category: HUBSPOT_DEFINED
                      definitionId: 15
                    - fromObjectId: 491646
                      toObjectId: 176602
                      category: HUBSPOT_DEFINED
                      definitionId: 15

````